Subject: bug#2156: 23.0.90; Failed to convert from Babyl to mbox

From: jpff <[email-masked]>
Date: Mon, 02 Feb 2009 10:02:56 +0000

Encouraged by some experiments I thought I would make the major change.
However it failed.

This is run with -q and loaded one of my smaller mail files in Babyl
format. The file is called ~/MAIL/c-m-r It starts well, creates the
temporary file and starts to write to it, until I get the message that
it failed to find ",,"

This is repeatable and also happens on other mail files.  I will try
again with the debugger enabled.

Debugger entered--Lisp error: (search-failed ",,")
  search-forward(",,")
  unrmail("/tmp/rmail126484kV" "/tmp/rmail12648Fvb")
  rmail-convert-babyl-to-mbox()
  rmail-convert-file-maybe()
  rmail-mode()
  set-auto-mode-0(rmail-mode nil)
  byte-code("=3fff9f=3fffc5=3fff89=3fff83/
  set-auto-mode()
  normal-mode(t)
  after-find-file(nil t)
  find-file-noselect-1(#<buffer c-m-r> "~/MAIL/c-m-r" nil nil "~/MAIL/c-m-r" (49207 2050))
  find-file-noselect("~/MAIL/c-m-r" nil nil t)
  find-file("~/MAIL/c-m-r" t)
  call-interactively(find-file nil nil)

In GNU Emacs 23.0.90.1 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2009-02-02 on cardew
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> C-x C-f M A I L 
/ c - m <tab> <return> y M-x r e p o <tab> r t <tab> 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Babyl mail file detected.  Rmail now uses mbox format for mail files.
Convert Babyl mail file to mbox format? (y or n) 
Wrote /tmp/rmail12648CMs
Writing messages to /tmp/rmail12648eQJ...
File mode specification error: (search-failed ",,")
Making completion list...